package com.hfkj.service.user;

import com.hfkj.entity.*;

import java.util.List;
import java.util.Map;

public interface PhgDataUserService {

    /**
     * @MethodName queryDetail
     * @Description:
     * @param id 
     * @return: com.hfkj.entity.CyymallUser
     * @Author: Sum1Dream
     * @Date: 2024/7/22 下午3:29
     */
    CyymallUser queryDetail(Integer id);


    List<CyymallUser> getList(Map<String , Object> map);

    List<CyymallOrder> getListOrder(Map<String , Object> map);

    List<CyymallOrderDetail> getListOrderDetail();

    CyymallOrderDetail getDetail(Integer id);

    List<CyymallAddress> getAddressList();

    CyymallGoods findGoods(Integer id);
    List<CyymallGoods> getListGoods();

    void insertOrderBatch(List<BsOrder> list);
    void insertOrderChildBatch(List<BsOrderChild> list);
    void insertOrderCouponBatch(List<BsOrderCoupon> list);
    void insertOrderCouponNoBatch(List<BsOrderCouponNo> list);
    void insertOrderGoodsBatch(List<BsOrderGoods> list);
    void insertOrderDeductionBatch(List<BsOrderDeduction> list);

    String downloadImage(String imageUrl);
}
